#
# GNU Solfege - ear training for GNOME
# Copyright (C) 2000, 2001, 2002, 2003, 2004  Tom Cato Amundsen
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

dist_files += $(wildcard online-docs/C/*.xml) \
		$(wildcard online-docs/C/*.tely) \
		$(wildcard online-docs/C/*.sgml) \
		online-docs/C/Makefile

installfiles += $(wildcard online-docs/C/*.html) \
		$(wildcard online-docs/C/*.png) \
		$(wildcard online-docs/C/*.midi)

easy-dist-files += $(wildcard online-docs/C/*.html) \
		   $(wildcard online-docs/C/*.png) \
		   $(wildcard online-docs/C/*.midi)

TARGETS += online-docs/C/solfege.html \
	   online-docs/C/fdl-appendix.html \
	   online-docs/C/gpl-appendix.html \
	   online-docs/C/theory-intervals.html \
	   online-docs/C/AUTHORS.html \
	   online-docs/C/theory-intervals.html \
	   online-docs/C/toc.html

online-docs/C/AUTHORS.html: AUTHORS.html
	cp AUTHORS.html online-docs/C/AUTHORS.html

clean-files += $(wildcard online-docs/C/lily-*) \
		$(wildcard online-docs/C/*.html) \
		online-docs/C/theory-intervals.src.texi \
		online-docs/C/AUTHORS.html

online-docs/C/solfege.html: $(wildcard online-docs/C/*.xml)
